Skip to content

Create Export

POST
/api/v1/workspaces/{workspace_id}/exports

Creates a new export.

workspace_id
required
integer

Workspace ID

object
connector_id

The ID of the Connector (e.g. ESP integration) to export to. Required when export_type is ‘connector’.

integer
nullable
Example
1
email_id
required

The ID of the Email to export.

integer
Example
1
export_type
required
string
Allowed values: html connector json pdf
dynamic_content_profile_id

The ID of the Dynamic Content Profile to use when rendering the export. If null, dynamic content is resolved with default values.

string
nullable
Example
1
options
required
object
image_mode

How images should be handled in the export.

string
Allowed values: use_cdn include_in_zip use_cdn_connector
minify_html

Whether to minify rendered HTML before saving export output.

boolean
locales
required
Array<string>
Allowed values: ar-SA bn-BD bn-IN ca-ES cs-CZ da-DK de-AT de-CH de-DE el-GR en-AU en-CA en-GB en-IE en-IN en-NZ en-US en-ZA es-AR es-CL es-CO es-ES es-MX es-US fi-FI fr-BE fr-CA fr-CH fr-FR he-IL hi-IN hu-HU id-ID it-CH it-IT ja-JP ko-KR nl-BE nl-NL no-NO pl-PL pt-BR pt-PT ro-RO ru-RU sk-SK sv-SE ta-IN ta-LK th-TH tr-TR zh-CN zh-HK
folder_id

The ID of the folder to export to

string
campaign_id

The ID of the campaign to export to

string
export_field_values

Key-value pairs of connector-specific fields to include with the export.

object
key
additional properties
string
per_locale_options

Per-locale export options, keyed by locale code (e.g. “en-US”).

object
key
additional properties
object
resource_name

The name for the exported resource in the connector.

string
update_previous_export

Whether to update a previously exported resource instead of creating a new one.

boolean
cdn_connector_id

The ID of the CDN Connector to use for hosting images in the exported email. If null, default image URLs are used.

integer
nullable
Example
1

Successful

object
id
required
integer
Example
12345
organization_id
required
integer
Example
12345
connector_id
required
integer
nullable
Example
12345
cdn_connector_id
required
integer
nullable
Example
12345
email_id
required
integer
Example
12345
email
required
object
id
integer
Example
12345
name
string
dynamic_content_profile_id
required
string
nullable
Example
a8c5c5c0-5b1a-4b5a-9b0a-5e8b5c5c5c5c
status
required
string
Allowed values: in_progress completed failed
Example
in_progress
export_type
required
string
Allowed values: json html connector pdf
Example
html
options
required
object
image_mode

How images should be handled in the export.

string
Allowed values: use_cdn include_in_zip use_cdn_connector
minify_html

Whether to minify rendered HTML before saving export output.

boolean
locales
required
Array<string>
Allowed values: ar-SA bn-BD bn-IN ca-ES cs-CZ da-DK de-AT de-CH de-DE el-GR en-AU en-CA en-GB en-IE en-IN en-NZ en-US en-ZA es-AR es-CL es-CO es-ES es-MX es-US fi-FI fr-BE fr-CA fr-CH fr-FR he-IL hi-IN hu-HU id-ID it-CH it-IT ja-JP ko-KR nl-BE nl-NL no-NO pl-PL pt-BR pt-PT ro-RO ru-RU sk-SK sv-SE ta-IN ta-LK th-TH tr-TR zh-CN zh-HK
folder_id

The ID of the folder to export to

string
campaign_id

The ID of the campaign to export to

string
export_field_values

Key-value pairs of connector-specific fields to include with the export.

object
key
additional properties
string
per_locale_options

Per-locale export options, keyed by locale code (e.g. “en-US”).

object
key
additional properties
object
resource_name

The name for the exported resource in the connector.

string
update_previous_export

Whether to update a previously exported resource instead of creating a new one.

boolean
integration_name
required
string
nullable
Example
Brevo
metadata
required
object
conditional_ids
Array<integer>
personalization_tag_ids
Array<integer>
image_ids
Array<integer>
export_errors
required
object
base
Array<string>
nullable
additionalProperties
object
key
additional properties
Array<string>
created_at
required
string format: date-time
Example
2023-08-23T10:30:00.000Z
updated_at
required
string format: date-time
Example
2023-08-23T10:30:00.000Z
download_zip_url
string
nullable
Example
https://www.example.com/download.zip
download_json_url
required
string
nullable
Example
https://www.example.com/download.json
open_in_integration_url
required
string
nullable
Example
https://www.example.com/integrations/mailchimp/export/12345

Unauthorized

object
message
required
string
Example
Record not found

Forbidden

object
message
required
string
Example
Record not found

Unprocessable Entity

object
message
required
string
Example
Failed to save
errors
required
object
key
additional properties
Array<string>
Example
{
"errors": {
"username": [
"Username is required.",
"Username must be unique."
],
"email": [
"Invalid email format."
]
}
}